Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class RuntimeErrorException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--javax.management.JMRuntimeException
                              |
                              +--javax.management.RuntimeErrorException

public class RuntimeErrorException
extends javax.management.JMRuntimeException

When a java.lang.Error occurs in the agent it should be caught and re-thrown as a RuntimeErrorException.

See Also:
  Serialized Form

Constructor Summary
`RuntimeErrorException(java.lang.Error e)` Default constructor.
`RuntimeErrorException(java.lang.Error e, java.lang.String message)` Constructor that allows a specific error message to be specified.

Method Summary
`java.lang.Error` | `getTargetError()` Returns the actual java.lang.Error thrown

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RuntimeErrorException

    public RuntimeErrorException(java.lang.Error e)

  Default constructor.

### RuntimeErrorException

    public RuntimeErrorException(java.lang.Error e,
                                 java.lang.String message)

  Constructor that allows a specific error message to be specified.

Method Detail

### getTargetError

    public java.lang.Error getTargetError()

  Returns the actual java.lang.Error thrown

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD